# $Id: array-util.spec 690 2007-01-21 20:40:27Z rpmbuild $

Summary: GUI view of of a HP (Compaq) SmartArray Controller configuration
Name: array-util
Version: 1.9
Release: %RErelease 1
Epoch: 0
License: GPL
Group: Applications/System
URL: http://www.strocamp.net/opensource/
Source0: http://www.strocamp.net/opensource/%{name}-latest.tgz
Source1: %{name}.desktop
Patch0: http://ftp.debian.org/debian/pool/main/a/array-util/%{name}_%{version}-2.diff.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge >= 2
BuildRequires: glib-devel, gtk+-devel >= 1.2.0, imlib-devel
BuildRequires: desktop-file-utils
Requires: gtk+ >= 1.2.0

# Figure out kernel-source / kernel-sourcecode / kernel-devel based on disto
# version.
%if "%rhel" == "3" || "%rhel" == "2" || "%fedora" == "2" || "%fedora" == "1" || 0%{?rhl}
BuildRequires: kernel-source
%define KDIR %(rpm -ql kernel-source|head -1)
%endif
%if "%rhel" == "4"
BuildRequires: kernel-sourcecode
%define KDIR %(rpm -ql kernel-sourcecode|head -1)
%endif
%if "%fedora" >= "3" || "%rhel" >= "5"
BuildRequires: kernel-devel
%define KDIR %(rpm -ql kernel-devel|head -1)
%endif

%description
ArrayUtil is a gui (X-windows) based program that displays the current
logical volume configuration of a HP (Compaq) SmartArray controller.

%prep
%setup -q
%patch -p1

%build
# seems as if xss support is broken on alpha :-(
#if [ ! -f configure ]; then
#  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
#else
#  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
#fi
%configure --with-kernel=%KDIR
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install-strip
%{__install} -D debian/array-util.1 $RPM_BUILD_ROOT/%{_mandir}/man1/array-util.1
desktop-file-install --vendor="RE" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc debian/README.Debian debian/changelog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_mandir}/*/*

%changelog
* Sun Nov 12 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.9-1
- Updated to version 1.9.
- Added Debian patch 1.9-2.

